#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#


Name: kalgebra
Summary: MathML-based graph calculator
Version: 23.08.5
Release: %mkrel 1
Group: Graphical desktop/KDE5
License: GPLv2 and LGPLv2 and GFDL
URL: http://userbase.kde.org/KAlgebra
Source: http://download.kde.org/stable/applications/%{version}/src/%{name}-%{version}.tar.xz
BuildRequires: kf5-macros
BuildRequires: analitza-devel >= %version
BuildRequires: ki18n-devel
BuildRequires: kconfigwidgets-devel
BuildRequires: kwidgetsaddons-devel
BuildRequires: kio-devel
BuildRequires: kdoctools-devel
BuildRequires: pkgconfig(Qt5WebKitWidgets) >= 5.2
BuildRequires: pkgconfig(Qt5Qml) >= 5.2
BuildRequires: pkgconfig(Qt5Quick) >= 5.2
BuildRequires: pkgconfig(Qt5Xml) >= 5.2
BuildRequires: pkgconfig(Qt5Svg) >= 5.2
BuildRequires: pkgconfig(Qt5OpenGL) >= 5.2
BuildRequires: pkgconfig(Qt5PrintSupport) >= 5.2
BuildRequires: pkgconfig(Qt5Test) >= 5.2
BuildRequires: readline-devel
BuildRequires: pkgconfig(glu)

Requires:      analitza
Requires:      kirigami
Requires:      qtwebengine5

%description
KAlgebra is a mathematical calculator based on the content markup language
MathML. It is capable of making simple MathML operations
(arithmetic and logical), and representing 2D and 3D graphs. It is
actually not necessary to know MathML to use KAlgebra.

%files -f %name.lang
/usr/bin/calgebra
/usr/bin/kalgebra
/usr/bin/kalgebramobile
/usr/share/applications/org.kde.kalgebra.desktop
/usr/share/applications/org.kde.kalgebramobile.desktop
/usr/share/icons/hicolor/64x64/apps/kalgebra.png
/usr/share/icons/hicolor/scalable/apps/kalgebra.svgz
/usr/share/katepart5/syntax/kalgebra.xml
/usr/share/metainfo/org.kde.graphsplasmoid.appdata.xml
/usr/share/metainfo/org.kde.kalgebra.appdata.xml
/usr/share/metainfo/org.kde.kalgebramobile.appdata.xml
/usr/share/plasma/plasmoids/org.kde.graphsplasmoid/contents/ui/config.ui
/usr/share/plasma/plasmoids/org.kde.graphsplasmoid/contents/ui/main.qml
/usr/share/plasma/plasmoids/org.kde.graphsplasmoid/metadata.json
#------------------------------------------------------------------------------

%package handbook
Summary: kalgebra handbook
BuildArch: noarch
Group: Documentation
Requires: %name

%description handbook
This package provides kalgebra handbook

%files handbook
%doc %_kf5_docdir/HTML/*/kalgebra

#------------------------------------------------------------------------------

%prep
%setup -q

%build
export CFLAGS="$CFLAGS -O3 -pipe -ffast-math"
%cmake_kf5 -GNinja
%ninja_build

%install
rm -rf %buildroot
%ninja_install -C build
%find_lang %name --all-name



%changelog
* Thu Feb 15 2024 tex - 23.08.5-1pclos2024
- new version

* Fri Dec 08 2023 tex - 23.08.4-1pclos2023
- new version

* Thu Nov 09 2023 tex - 23.08.3-1pclos2023
- new version

* Thu Oct 12 2023 tex - 23.08.2-1pclos2023
- new version

